org.eclipse.gef.dot.internal.language

## Class AbstractDotColorRuntimeModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.service.DefaultRuntimeModule
    - - org.eclipse.gef.dot.internal.language.AbstractDotColorRuntimeModule

All Implemented Interfaces:
  com.google.inject.Module

Direct Known Subclasses:
  DotColorRuntimeModule

    public abstract class AbstractDotColorRuntimeModule
    extends org.eclipse.xtext.service.DefaultRuntimeModule

Manual modifications go to {org.eclipse.gef.dot.internal.language.DotColorRuntimeModule}

### Field Summary

Fields
`protected java.util.Properties` `properties`

### Constructor Summary

Constructors
Constructor and Description
`AbstractDotColorRuntimeModule()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.ClassLoader` `bindClassLoaderToInstance()`
`java.lang.Class<? extends DotColorJavaValidator>` `bindDotColorJavaValidator()`
`java.lang.Class<? extends org.eclipse.xtext.parser.antlr.IAntlrTokenFileProvider>` `bindIAntlrTokenFileProvider()`
`java.lang.Class<? extends org.eclipse.xtext.formatting.IFormatter>` `bindIFormatter()`
`java.lang.Class<? extends org.eclipse.xtext.IGrammarAccess>` `bindIGrammarAccess()`
`java.lang.Class<? extends org.eclipse.xtext.parser.IParser>` `bindIParser()`
`java.lang.Class<? extends org.eclipse.xtext.serializer.sequencer.ISemanticSequencer>` `bindISemanticSequencer()`
`java.lang.Class<? extends org.eclipse.xtext.serializer.ISerializer>` `bindISerializer()`
`java.lang.Class<? extends org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer>` `bindISyntacticSequencer()`
`java.lang.Class<? extends org.eclipse.xtext.parser.antlr.ITokenDefProvider>` `bindITokenDefProvider()`
`java.lang.Class<? extends org.eclipse.xtext.parser.ITokenToStringConverter>` `bindITokenToStringConverter()`
`java.lang.Class<? extends org.eclipse.xtext.parser.antlr.Lexer>` `bindLexer()`
`void` `configure(com.google.inject.Binder binder)`
`void` `configureFileExtensions(com.google.inject.Binder binder)`
`void` `configureLanguageName(com.google.inject.Binder binder)`
`void` `configureRuntimeLexer(com.google.inject.Binder binder)`
`com.google.inject.Provider<org.eclipse.gef.dot.internal.language.parser.antlr.lexer.InternalDotColorLexer>` `provideInternalDotColorLexer()`

### Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule

`bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindIContainer$Manager, bindIFragmentProvider, bindIGlobalScopeProvider, bindILinker, bindILinkingService, bindILocationInFileProvider, bindINodeModelFormatter, bindIPartialParserHelper, bindIQualifiedNameProvider, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindIScopeProvider, bindITransientValueService, bindIValueConverterService, bindResourceSet, bindXtextResource, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptions, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsLiveScope, configureLinkingIScopeProvider, configureRuntimeEncodingProvider, configureSerializerIScopeProvider, configureUseIndexFragmentsForLazyLinking, provideIEncodingProvider`

### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

`bindProperties, getBindings, tryBindProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### properties

    protected java.util.Properties properties

### Constructor Detail

#### AbstractDotColorRuntimeModule

    public AbstractDotColorRuntimeModule()

### Method Detail

#### configure

    public void configure(com.google.inject.Binder binder)

Specified by:
  `configure` in interface `com.google.inject.Module`
Overrides:
  `configure` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

#### configureLanguageName

    public void configureLanguageName(com.google.inject.Binder binder)

#### configureFileExtensions

    public void configureFileExtensions(com.google.inject.Binder binder)

#### bindClassLoaderToInstance

    public java.lang.ClassLoader bindClassLoaderToInstance()

#### bindIGrammarAccess

    public java.lang.Class<? extends org.eclipse.xtext.IGrammarAccess> bindIGrammarAccess()

#### bindDotColorJavaValidator

    public java.lang.Class<? extends DotColorJavaValidator> bindDotColorJavaValidator()

#### bindIFormatter

    public java.lang.Class<? extends org.eclipse.xtext.formatting.IFormatter> bindIFormatter()

Overrides:
  `bindIFormatter` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

#### bindISemanticSequencer

    public java.lang.Class<? extends org.eclipse.xtext.serializer.sequencer.ISemanticSequencer> bindISemanticSequencer()

Overrides:
  `bindISemanticSequencer` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

#### bindISyntacticSequencer

    public java.lang.Class<? extends org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer> bindISyntacticSequencer()

#### bindISerializer

    public java.lang.Class<? extends org.eclipse.xtext.serializer.ISerializer> bindISerializer()

Overrides:
  `bindISerializer` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

#### bindIParser

    public java.lang.Class<? extends org.eclipse.xtext.parser.IParser> bindIParser()

#### bindITokenToStringConverter

    public java.lang.Class<? extends org.eclipse.xtext.parser.ITokenToStringConverter> bindITokenToStringConverter()

Overrides:
  `bindITokenToStringConverter` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

#### bindIAntlrTokenFileProvider

    public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.IAntlrTokenFileProvider> bindIAntlrTokenFileProvider()

#### bindLexer

    public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.Lexer> bindLexer()

#### provideInternalDotColorLexer

    public com.google.inject.Provider<org.eclipse.gef.dot.internal.language.parser.antlr.lexer.InternalDotColorLexer> provideInternalDotColorLexer()

#### bindITokenDefProvider

    public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.ITokenDefProvider> bindITokenDefProvider()

Overrides:
  `bindITokenDefProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

#### configureRuntimeLexer

    public void configureRuntimeLexer(com.google.inject.Binder binder)